Bug 171840 - CAN-2005-1704 Integer overflow in gdb
CAN-2005-1704 Integer overflow in gdb
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnston
impact=low,public=20050525,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 17:56 EDT by Jeff Johnston
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2005-10-26 17:56:42 EDT
+++ This bug was initially created as a clone of Bug #171825 +++

Integer overflow in the BFD library for gdb before 6.3 allows
attackers to execute arbitrary code via a crafted object file that
specifies a large number of section headers, leading to a heap-based
buffer overflow.


More information is available in the gentoo bug:
http://bugs.gentoo.org/show_bug.cgi?id=91398

-

-- Additional comment from jjohnstn@redhat.com on 2005-10-26 16:56 EST --
Fixed in gdb-6.1post-1.20040607.43.0.1
Comment 1 Jeff Johnston 2005-10-26 17:59:13 EDT
Comment above is regarding FC-3 gdb release containing fix.

FC-4 fix is release gdb-6.3.0.0-1.84
Comment 2 Fedora Update System 2005-10-27 13:08:42 EDT
From User-Agent: XML-RPC

gdb-6.3.0.0-1.84 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Bill Nottingham 2006-09-21 22:11:19 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.